public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-devel/mold/
Date: Thu, 16 Mar 2023 23:51:10 +0000 (UTC)	[thread overview]
Message-ID: <1679010632.51813aa3bbc2dda40272c2a4bfc40b9ebcc7465e.sam@gentoo> (raw)

commit:     51813aa3bbc2dda40272c2a4bfc40b9ebcc7465e
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Mar 16 23:45:13 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Mar 16 23:50:32 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=51813aa3

sys-devel/mold: add 1.11.0

Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-devel/mold/Manifest           |  1 +
 sys-devel/mold/mold-1.11.0.ebuild | 89 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 90 insertions(+)

diff --git a/sys-devel/mold/Manifest b/sys-devel/mold/Manifest
index 8075830bf769..331edf201d83 100644
--- a/sys-devel/mold/Manifest
+++ b/sys-devel/mold/Manifest
@@ -1 +1,2 @@
 DIST mold-1.10.1.tar.gz 8173701 BLAKE2B 142b4ec6297f1d4eb7576d16603a214244216592df7320639da3fce32890fc3d13e681dcb79ed23e4c0c7dba1f97eb10c622052c67787b6699925ae67ddb1d15 SHA512 b9df5ddc3a3a022523506638309373c3440128f3c702a7db69c44c180177148e92fbf73347be0c4e0e890395cfb2a5b12d2650ee267f9f58212ccfa981519bbf
+DIST mold-1.11.0.tar.gz 8210923 BLAKE2B b3854a14a956dd568625fc28c96636e7cadf81b9a93954601b03e249db0aedf726a5a1f24c0758c8189a936501ebb778b472ee6e958fe9f43cb3c3093b2dda2a SHA512 a9068600dd2db757552cce027f358c0b9e6af0941b92f81c1e99e2dde674bd06cc3533d432258e42a2197d9b3f8e7bb263de281928357a79e4fb17fb19719bc0

diff --git a/sys-devel/mold/mold-1.11.0.ebuild b/sys-devel/mold/mold-1.11.0.ebuild
new file mode 100644
index 000000000000..ea88934048d6
--- /dev/null
+++ b/sys-devel/mold/mold-1.11.0.ebuild
@@ -0,0 +1,89 @@
+# Copyright 2021-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake toolchain-funcs
+
+DESCRIPTION="A Modern Linker"
+HOMEPAGE="https://github.com/rui314/mold"
+if [[ ${PV} == 9999 ]] ; then
+	EGIT_REPO_URI="https://github.com/rui314/mold.git"
+	inherit git-r3
+else
+	SRC_URI="https://github.com/rui314/mold/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~ppc64 ~riscv ~x86"
+fi
+
+# mold (AGPL-3)
+#  - xxhash (BSD-2)
+LICENSE="AGPL-3 BSD-2"
+SLOT="0"
+
+RDEPEND="
+	app-arch/zstd:=
+	>=dev-cpp/tbb-2021.7.0-r1:=
+	sys-libs/zlib
+	!kernel_Darwin? (
+		>=dev-libs/mimalloc-2:=
+		dev-libs/openssl:=
+	)
+"
+DEPEND="${RDEPEND}"
+
+pkg_pretend() {
+	# Requires a c++20 compiler, see #831473
+	if [[ ${MERGE_TYPE} != binary ]]; then
+		if tc-is-gcc && [[ $(gcc-major-version) -lt 10 ]]; then
+			die "${PN} needs at least gcc 10"
+		elif tc-is-clang && [[ $(clang-major-version) -lt 12 ]]; then
+			die "${PN} needs at least clang 12"
+		fi
+	fi
+}
+
+src_prepare() {
+	cmake_src_prepare
+
+	# Needs unpackaged dwarfdump
+	rm test/elf/{{dead,compress}-debug-sections,compressed-debug-info}.sh || die
+
+	# Heavy tests, need qemu
+	rm test/elf/gdb-index-{compress-output,dwarf{2,3,4,5}}.sh || die
+	rm test/elf/lto-{archive,dso,gcc,llvm,version-script}.sh || die
+
+	# Sandbox sadness
+	rm test/elf/run.sh || die
+	sed -i 's|`pwd`/mold-wrapper.so|"& ${LD_PRELOAD}"|' \
+		test/elf/mold-wrapper{,2}.sh || die
+
+	# static-pie tests require glibc built with static-pie support
+	if ! has_version -d 'sys-libs/glibc[static-pie(+)]'; then
+		rm test/elf/{,ifunc-}static-pie.sh || die
+	fi
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DMOLD_ENABLE_QEMU_TESTS=OFF
+		-DMOLD_LTO=OFF # Should be up to the user to decide this with CXXFLAGS.
+		-DMOLD_USE_SYSTEM_MIMALLOC=ON
+		-DMOLD_USE_SYSTEM_TBB=ON
+	)
+	cmake_src_configure
+}
+
+src_install() {
+	dobin "${BUILD_DIR}"/${PN}
+
+	# https://bugs.gentoo.org/872773
+	insinto /usr/$(get_libdir)/mold
+	doins "${BUILD_DIR}"/${PN}-wrapper.so
+
+	dodoc docs/{design,execstack}.md
+	doman docs/${PN}.1
+
+	dosym ${PN} /usr/bin/ld.${PN}
+	dosym ${PN} /usr/bin/ld64.${PN}
+	dosym ../../../usr/bin/${PN} /usr/libexec/${PN}/ld
+}


             reply	other threads:[~2023-03-16 23:51 UTC|newest]

Thread overview: 105+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-03-16 23:51 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-10-08 16:32 [gentoo-commits] repo/gentoo:master commit in: sys-devel/mold/ Sam James
2024-10-04  6:08 Sam James
2024-10-04  6:08 Sam James
2024-09-18  2:46 Sam James
2024-08-29  8:13 Jakov Smolić
2024-08-16 17:14 Sam James
2024-08-12 18:53 Sam James
2024-08-10 18:33 Sam James
2024-06-24  0:32 Sam James
2024-06-24  0:32 Sam James
2024-05-03  6:36 Sam James
2024-04-30  7:03 Sam James
2024-04-29  2:46 Sam James
2024-03-16  0:20 Sam James
2024-03-01  7:55 Sam James
2023-12-05 13:39 Matthew Smith
2023-12-04  7:32 Sam James
2023-12-03 16:34 Arthur Zamarin
2023-11-30  3:49 Sam James
2023-11-15 10:39 Sam James
2023-11-15 10:39 Sam James
2023-11-13  4:35 Sam James
2023-11-13  4:35 Sam James
2023-11-13  3:28 Sam James
2023-11-13  2:11 Sam James
2023-11-04 13:50 Sam James
2023-11-04 13:50 Sam James
2023-10-21 17:48 Sam James
2023-09-27 13:29 Arthur Zamarin
2023-09-24 15:44 Arthur Zamarin
2023-09-24 14:25 Arthur Zamarin
2023-09-24 13:43 Jakov Smolić
2023-09-24  9:02 WANG Xuerui
2023-09-24  9:02 WANG Xuerui
2023-09-24  7:30 Sam James
2023-09-02 12:04 Sam James
2023-08-24 18:22 Matthew Smith
2023-08-23 16:36 WANG Xuerui
2023-08-13  5:18 Sam James
2023-08-09  3:11 Sam James
2023-07-27  7:35 Sam James
2023-04-25 14:02 Arthur Zamarin
2023-04-19  6:26 Sam James
2023-03-16 23:51 Sam James
2023-03-04 11:16 Arthur Zamarin
2023-01-23  7:25 Georgy Yakovlev
2023-01-23  7:25 Georgy Yakovlev
2023-01-22  6:04 Sam James
2023-01-21 11:17 Matthew Smith
2023-01-14 23:22 Sam James
2023-01-14 23:22 Sam James
2023-01-13 13:50 Sam James
2023-01-05  0:38 Sam James
2022-12-30  7:32 Sam James
2022-11-19  3:19 Sam James
2022-11-15 20:19 Matthew Smith
2022-11-15 20:19 Matthew Smith
2022-11-11 11:39 Matthew Smith
2022-11-11 11:39 Matthew Smith
2022-11-10  9:44 Matthew Smith
2022-10-28  3:41 Jakov Smolić
2022-10-22  8:36 Matthew Smith
2022-09-30  8:20 Matthew Smith
2022-09-30  8:20 Matthew Smith
2022-09-23  1:35 Sam James
2022-09-09  9:48 Matthew Smith
2022-09-09  9:48 Matthew Smith
2022-08-26 10:46 Sam James
2022-08-20  8:26 Matthew Smith
2022-08-20  8:26 Matthew Smith
2022-08-19 17:56 Matthew Smith
2022-08-08 18:08 Matthew Smith
2022-07-28 10:17 Sam James
2022-07-26  4:26 Sam James
2022-07-02 23:29 Sam James
2022-07-02 23:29 Sam James
2022-06-29  7:34 Matthew Smith
2022-06-26 12:54 Matthew Smith
2022-06-26 12:54 Matthew Smith
2022-05-04 23:28 Sam James
2022-04-28 16:43 Matthew Smith
2022-04-28 16:43 Matthew Smith
2022-04-15 12:39 Matthew Smith
2022-04-15 12:39 Matthew Smith
2022-03-14 12:26 Sam James
2022-03-08 19:54 Matthew Smith
2022-03-08  8:18 Matthew Smith
2022-02-22 21:06 Matthew Smith
2022-02-21  7:27 Matthew Smith
2022-02-21  2:49 Sam James
2022-02-10  7:50 Sam James
2022-02-04 11:21 Fabian Groffen
2022-01-23 15:51 Sam James
2022-01-01  1:26 Sam James
2022-01-01  1:26 Sam James
2021-12-20  5:08 Sam James
2021-12-20  4:08 Sam James
2021-12-16  1:28 Sam James
2021-12-15  7:50 Sam James
2021-12-15  7:50 Sam James
2021-12-15  2:11 Sam James
2021-12-15  1:58 Sam James
2021-12-14 11:14 Sam James
2021-12-14  2:48 Sam James

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1679010632.51813aa3bbc2dda40272c2a4bfc40b9ebcc7465e.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox